Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.dispatchers
Class AbstractServiceDispatcher

    java.lang.Object
      org.apache.axis2.handlers.AbstractHandler
          org.apache.axis2.dispatchers.AbstractServiceDispatcher

All Implemented Interfaces:
  Handler

Direct Known Subclasses:
  RelatesToBasedServiceDispatcher, RequestURIBasedServiceDispatcher, SOAPMessageBodyBasedServiceDispatcher

    public abstract class AbstractServiceDispatcher

extends AbstractHandler

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.axis2.engine.Handler
`Handler.InvocationResponse`

Field Summary
`static java.lang.String` | `NAME`

Fields inherited from class org.apache.axis2.handlers.AbstractHandler
`handlerDesc`

Constructor Summary
`AbstractServiceDispatcher()`

Method Summary
`abstract AxisService` | `findService(MessageContext messageContext)` Called by Axis Engine to find the service.
`abstract void` | `initDispatcher()`
`Handler.InvocationResponse` | `invoke(MessageContext msgctx)` This method will be called on each registered handler when a message needs to be processed.

Methods inherited from class org.apache.axis2.handlers.AbstractHandler
`cleanup, flowComplete, getHandlerDesc, getName, getParameter, init, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NAME

    public static final java.lang.String NAME

See Also:
  Constant Field Values

Constructor Detail

### AbstractServiceDispatcher

    public AbstractServiceDispatcher()

Method Detail

### findService

    public abstract AxisService findService(MessageContext messageContext)
                                     throws AxisFault

  Called by Axis Engine to find the service.

  Parameters:
    `messageContext` -
  Returns:
    Returns AxisService.
  Throws:
    `AxisFault`

### initDispatcher

    public abstract void initDispatcher()

### invoke

    public Handler.InvocationResponse invoke(MessageContext msgctx)
                                      throws AxisFault

  Description copied from interface: `Handler`
  This method will be called on each registered handler when a message needs to be processed. If the message processing is paused by the handler, then this method will be called again for the handler that paused the processing once it is resumed.

  This method may be called concurrently from multiple threads.

  Handlers that want to determine the type of message that is to be processed (e.g. response vs request, inbound vs. outbound, etc.) can retrieve that information from the MessageContext via MessageContext.getFLOW() and MessageContext.getAxisOperation().getMessageExchangePattern() APIs.

  Parameters:
    `msgctx` -
  Returns:
    An InvocationResponse that indicates what the next step in the message processing should be.
  Throws:
    `AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.